{ config, lib, pkgs, ... }:

with lib;
with lib.my;
let cfg = config.modules.security.gpg;
in {
  options.modules.security.gpg = {
    enable = mkBoolOpt false;
  };

  config = mkIf cfg.enable {
    home.programs.gpg = {
      enable = true;
    };

    home.services.gpg-agent = {
      enable = true;
      enableSshSupport = true;
    };
  };
}